$schema: "http://json-schema.org/draft-06/schema#"

title: networkservices v1alpha1 SwpSecurityExtension export schema
description: A gcloud export/import command YAML validation schema.
type: object
required:
- extensionChains
- gateways
- name
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  description:
    description: A human-readable description of the resource.
    type: string
  extensionChains:
    description: |-
      A set of ordered extension chains that contain the match conditions and
      extensions to execute. Match conditions for each extension chain are
      evaluated in sequence for a given request. The first extension chain that
      has a condition that matches the request is executed. Any subsequent
      extension chains do not execute. Limited to 5 extension chains per
      resource.
    type: array
    items:
      $ref: ExtensionChain.yaml
  gateways:
    description: |-
      References to the [SecureWebGateway
      resource](https://cloud.google.com/secure-web-proxy/docs/overview) to
      which this service extension is attached. There can be at most one
      `SwpSecurityExtension` resource referencing a given `Gateway` resource
      of type SecureWebGateway.
    type: array
    items:
      type: string
  labels:
    description: |-
      Set of labels associated with the `SwpSecurityExtension` resource.
      The format must comply with [the requirements for
      labels](/compute/docs/labeling-resources#requirements) for Google
      Cloud resources.
    $ref: LabelsValue.yaml
  name:
    description: |-
      Identifier. Name of the `SwpSecurityExtension` resource in the
      following format:
      `projects/{project}/locations/{location}/swpSecuri
      tyExtensions/{swp_security_extension}`.
    type: string
